Printago API
POST /v1/materials/variants/{variantId}/profiles

Assign profile to variant

Link a slicing profile to a variant

Requires: material.edit

Path Parameters

variantId required
string
Variant ID

Request Body

Profile assignment data

modelIdstringnozzleDiameterstringuserProfileIdnullundefinedsystemProfileIdnumber | modelIdstringnozzleDiameterstringuserProfileIdCuid2systemProfileIdnullundefined
modelIdrequired
string
nozzleDiameterrequired
string
systemProfileIdrequired
number
userProfileIdoptional
null
modelIdrequired
string
nozzleDiameterrequired
string
systemProfileIdoptional
null
userProfileIdrequired
string
pattern: ^[a-z0-9]{24}$

Example Request

application/json
{
  "modelId": "string",
  "nozzleDiameter": "string",
  "systemProfileId": 1
}

Response Schema

MaterialProfileAssignment[]
Array of MaterialProfileAssignment, each with:
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
materialIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
modelIdrequired
string
pattern: ^[a-z0-9]{24}$
nozzleDiameterrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
systemProfileIdrequirednullable
number
updatedAtrequired
string
format: date-time
userProfileIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
variantIdrequirednullable
string
pattern: ^[a-z0-9]{24}$

Example Response

201 OK — application/json
[
  {
    "modelId": "string",
    "nozzleDiameter": "string",
    "materialId": "string",
    "variantId": "string",
    "userProfileId": "string",
    "systemProfileId": 1,
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]